# -----------------------------------------------------------------------------
sub infExtents
{
  ($thishost) = @_;

  # Do this every 10th iteration
  #$z = $iter_count;
  #if ($z / 10 != int($z / 10))
  #{
  #  $s_flag = "N";
  #  $msg = sprintf("(Not this iteration)");
  #  &logit($msg,$thishost);
  #  return;
  #}

  if ($up[$thishost] ne "Y")
  {
    logit("(Down/Inhibited)",$thishost);
    return 1;
  }
    
  if (substr($sw_version[$thishost],0,1) < "6")
  {
    $msg = sprintf("Extent checking only works on Informix version >= 6");
    logit($msg,$thishost);
    return 0;
  }

  if ($max_extents[$thishost] eq "")
  {
    $msg = sprintf("Extent checking not selected for this instance");
    &logit($msg,$thishost);
    return 0; 
  }

  # bb 29Dec99 - Turned off until it is fixed.
  $msg = sprintf("Extent checking OFF");
  &logit($msg,$thishost);
  return 0;

  ##print $thishost
  ##printf("start time: ")
  ##system("date")

  system("rm $tmpfl4 $tmpfl6 > /dev/null 2>&1");

  remsh("onstat -;export PATH=\$PATH:$infdir[$thishost]/bin;/tmp/dbamon_extents.pl $max_extents[$thishost] html",$tmpfl4,$thishost);

  ##system("cat $tmpfl4");
  ##print "wf=" warn_flag " if=" info_flag

  $info_flag = 0;
  $crit_flag = 0;

  open(TMPFL6, ">$tmpfl6") || &error_msg("Can't open output $tmpfl6 - $!");
  print TMPFL6 "Details:\n";
  close(TMPFL6);
  system("cat $tmpfl4 | grep -v 'INFORMIX' | grep '<' >> $tmpfl6");

  if (system("grep '200EXTENTS' $tmpfl4 > /dev/null") == 0)
  {
    #
    # 200 Extents check
    #
    &event("C",$thishost,"Table(s) found with >= 200 extents","200Xtnt","DBA270C",$tmpfl6);
    $crit_flag = 1;
  }
  elsif (system("grep '<b>' $tmpfl4 > /dev/null") == 0)
  {
    #
    # Threshold Extents check
    #
    &event("I",$thishost,"Table(s) found with >= $max_extents[$thishost] extents","Xtnt","DBA271C",$tmpfl6);
    $info_flag = 1;
  }

  if ($crit_flag == 0 && $info_flag == 0)
  {
    $msg = sprintf("OK (vs. %s/200 instance/critical threshold)",$max_extents[$thishost]);
    &logit($msg,$thishost);
  }
}
# -----------------------------------------------------------------------------
1;
