#-------------------------------------------------------------------------------
sub metricsInsert
#-------------------------------------------------------------------------------
{
  ($caller, $h, $c, $p, $v, $v2, $v3) = @_;

  $debug_mi = 0; 

  if ($v eq "" || $v < 0) 
  {
    &logit("metricsInsert - caller=$caller h=$h c=$c p=$p v=$v - V is null or -1"); 
    print "DEBUG - V is NULL\n" if $debug_mi;
    return;
    ##$v = -1;   # Hmmmm?????
  }
  if ($v !~ /[0-9]/) 
  {
    &logit("metricsInsert - Non-digit value v=$v - caller=$caller h=$h c=$c p=$p v=$v - V is null or -1"); 
    print "DEBUG - Non-numeric exit\n" if $debug_mi;
    return;
  }

  #---- Get the date 
  $ztoday = &getdate;   

  #---- Massage some vars 
  $titlehist[$h] = "?" if !$titlehist[$h];
  #---- The db name can be very long for MSSQL - deal with that
  $p = substr($p,0,59) . "+" if length($p) > 60; 

  #---- Create SQL statement 
  if ($perf_timestamp[$h] ne "") 
  {
    $sql  = "
      insert into dbamon.metrics_detail
	(dbamonmode,instance,system,dbms,category,parm,value,zdate_char,ts)
      values
	(\'$mode\',\'$titlehist[$h]\', \'$hostname[$h]\', \'$dbmsout[$h]\', \'$c\', \'$p\',$v,'$ztoday', '$perf_timestamp[$h]')
    ";
    ##print "DEBUG - sql=$sql\n"; 
  }
  else
  {
    $sql  = "
      insert into dbamon.metrics_detail
	(dbamonmode,instance,system,dbms,category,parm,value,zdate_char)
      values
	(\'$mode\',\'$titlehist[$h]\', \'$hostname[$h]\', \'$dbmsout[$h]\', \'$c\', \'$p\',$v,'$ztoday')
    ";
  }

  print "DEBUG - sql=$sql\n" if $debug_mi;
  &runSQL($sql,1) || &error_msg("metricsInsert - $caller - Cannot insert into METRICS_DETAIL - $!");
  print "DEBUG - sqlerror=$sqlerror sqlcode=$sqlcode\n" if $debug_mi;
}
#-------------------------------------------------------------------------------
1;
